""" 
installprefs.py - to set install time preferences
"""

import os

# Are we installing from the kbtv port or not?
FROMPORT = True

# Installation prefix
if FROMPORT: PREFIX = os.environ['PREFIX']
else: PREFIX = "/usr/local"

# Where to put kernel modules (if built for saa and perhaps pwc)
KMODDIR = "/boot/modules"

# Bin directory under prefix (for kbtv run script)
BINDIR = os.path.join(PREFIX, "bin")

# Sbin directory under prefix (for btsetup run script)
SBINDIR = os.path.join(PREFIX, "sbin")

# KDE application directory under prefix (for kbtv program files)
APPDIR = os.path.join(PREFIX, "share/apps/kbtv")

# Top documentation directory under prefix
# The KDE app docs go into ./HTML/<lang>, 
DOCDIR = os.path.join(PREFIX, "share/doc")

# Directory for .desktop file under prefix
DTDIR = os.path.join(PREFIX, "share/applications/kde")

# Directory for the icon
ICONDIR = os.path.join(PREFIX, "share/icons/crystalsvg/64x64/apps")
